Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224073 - NFS exports non-functional, reporting "svc: unknown version (3)"
Summary: NFS exports non-functional, reporting "svc: unknown version (3)"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-23 21:51 UTC by Ben Webb
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-29 23:56:59 UTC


Attachments (Terms of Use)

Description Ben Webb 2007-01-23 21:51:41 UTC
Description of problem:

Cannot correctly mount an NFS export on a remote host - file access fails.

Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2895.fc6

How reproducible:
Always

Steps to Reproduce:
1. Export /foo from an x86_64 Fedora 6 box.
2. Mount /foo on a remote machine (Fedora 6 i686, and Solaris 8 SPARC, in this
case).
3. Try to access files under /foo on the remote clients.
  
Actual results:
NFS server reports in /var/log/messages:
kernel: svc: unknown version (3)
...but allows the mount (on either client) to succeed. However, subsequent file
access from the Solaris 8 box fails with:
NFS getacl failed for server <foo>: error 9 (RPC: Program/version mismatch)


Expected results:
File access should succeed on the clients.


Additional info:
Mounting on the clients with -o vers=2 simply changes the error on the server to
kernel: svc: unknown version (2)

After downgrading the kernel on the server to kernel-2.6.18-1.2869.fc6,
everything works perfectly.

Comment 1 Ben Webb 2007-02-20 17:43:25 UTC
The bug appears to be fixed in the latest kernel update
(kernel-2.6.19-1.2911.fc6). Exports to Solaris clients now function normally;
the Fedora server no longer logs "svc: unknown version".


Note You need to log in before you can comment on or make changes to this bug.